Subject: Re: bug#31611: Add a property in packages to refresh to a specific version

From: Marius Bakke <[email-masked]>
Date: Tue, 29 May 2018 01:26:30 +0200

Hartmut Goebel <[email-masked]> writes:

> `guix refresh` always fetches the newest version of packages. This might
> not be desired in all cases. E.g. one might want to keep some still
> supported "major" upstream-version and not yet update to the next
> "major" version.
>
> Ludo suggested to add a property in packages that would instruct
> updaters to restrict the version search space to a given regexp.
>
> Rational: Example: KDE Plasma 5 has 5.12 as long-term-support (LTS)
> version, while 5.14 has already being released. Do easy maintenance of
> dependent packages, sticking to 5.12.x micht be desired.
>
> Original discussion:
> https://lists.gnu.org/archive/html/guix-devel/2018-02/msg00055.html

Can we simply patch the KDE importer to stick with 5.12 for now?